package edu.kit.ipd.descartes.adaptation.evaluation.performance.repository;

import edu.kit.ipd.descartes.perfdatarepo.PerformanceDataRepository;
import edu.kit.ipd.descartes.ql.models.repository.ObservationRepository;

public class PerformanceDataRepositoryHandlerFactory {

    public static IPerformanceDataRepositoryHandler createHandler(String repositoryType) {

        if (repositoryType.equals(PerformanceDataRepository.class.getName()))
            return new PerformanceDataRepositoryHandler();
        
        if (repositoryType.equals(ObservationRepository.class.getName()))
            return new ObservationRepositoryHandler();
        
        return null;
    }
}
